package com.smcic.api.conference.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.smcic.api.conference.dto.BatchPhoto;
import com.smcic.api.conference.entity.ConferenceLivePhoto;
import com.smcic.api.conference.service.impl.ConferenceLivePhotoServiceImpl;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.time.LocalDateTime;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-28
 */
@RestController
@RequestMapping("/conference/live-photo")
public class ConferenceLivePhotoController {
    @Resource
    private ConferenceLivePhotoServiceImpl conferenceLivePhotoService;

    @PostMapping("create")
    public ConferenceLivePhoto createConferenceLivePhoto(@RequestBody ConferenceLivePhoto conferenceLivePhoto) {
        conferenceLivePhoto.setCreateTime(LocalDateTime.now());
        conferenceLivePhotoService.save( conferenceLivePhoto);
        return conferenceLivePhoto;
    }

    @PostMapping("create-batch")
    public void createBatch(@RequestBody BatchPhoto batchPhoto) {
        conferenceLivePhotoService.batchCreate(batchPhoto);
    }

    @GetMapping("list/{id}")
    public Page<ConferenceLivePhoto> listConferenceLivePhoto(@PathVariable("id") Long id,
                                                             @RequestParam(value = "page", required = false, defaultValue = "1") Integer page,
                                                             @RequestParam(value = "pageSize", required = false, defaultValue = "20") Integer size) {
        return conferenceLivePhotoService.photoPage( id, page, size);
    }

}
