package com.smcic.api.conference.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.smcic.api.conference.entity.ConferenceLiveVideo;
import com.smcic.api.conference.service.impl.ConferenceLiveVideoServiceImpl;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.time.LocalDateTime;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2024-03-28
 */
@RestController
@RequestMapping("/conference/live-video")
public class ConferenceLiveVideoController {

    @Resource
    private ConferenceLiveVideoServiceImpl conferenceLiveVideoService;

    @PostMapping("create")
    public ConferenceLiveVideo createConferenceLiveVideo(@RequestBody ConferenceLiveVideo conferenceLiveVideo) {
        return conferenceLiveVideoService.create(conferenceLiveVideo);
    }

    @GetMapping("list/{id}")
    public Page<ConferenceLiveVideo> listConferenceLiveVideo(@PathVariable("id") Long id,
            @RequestParam(value = "page", required = false, defaultValue = "1") Integer page,
            @RequestParam(value = "pageSize", required = false, defaultValue = "20") Integer size) {
        return conferenceLiveVideoService.videoPage( id, page, size);
    }


}
