package com.smcic.api.conference.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.smcic.api.conference.entity.ConferenceLiveVideo;
import com.smcic.api.conference.mapper.ConferenceLiveVideoMapper;
import com.smcic.api.conference.service.IConferenceLiveVideoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2024-03-28
 */
@Service
public class ConferenceLiveVideoServiceImpl extends ServiceImpl<ConferenceLiveVideoMapper, ConferenceLiveVideo> implements IConferenceLiveVideoService {


    public ConferenceLiveVideo create(ConferenceLiveVideo conferenceLiveVideo) {
        conferenceLiveVideo.setCreateTime(LocalDateTime.now());
        if(conferenceLiveVideo.getType() == 1){
            conferenceLiveVideo.setCover(conferenceLiveVideo.getVideo() + "?x-oss-process=video/snapshot,t_3000,m_fast");
        }
        save( conferenceLiveVideo);
        return conferenceLiveVideo;
    }

    public Page<ConferenceLiveVideo> videoPage(Long cid, Integer page, Integer pageSize) {
        Page<ConferenceLiveVideo> page1 = new Page<>(page, pageSize);

        LambdaQueryWrapper<ConferenceLiveVideo>  wrapper = new LambdaQueryWrapper<>();
        return this.baseMapper.selectPage(page1, wrapper.eq(ConferenceLiveVideo::getConferenceId, cid)
                        .orderByDesc(ConferenceLiveVideo::getIsTop)
                .orderByDesc(ConferenceLiveVideo::getId));
    }
}
