package com.smcic.api.conference.service.impl;

import com.smcic.api.conference.entity.ConferencePartner;
import com.smcic.api.conference.mapper.ConferencePartnerMapper;
import com.smcic.api.conference.service.IConferencePartnerService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2024-03-28
 */
@Service
public class ConferencePartnerServiceImpl extends ServiceImpl<ConferencePartnerMapper, ConferencePartner> implements IConferencePartnerService {

    public List<ConferencePartner> listByCid(Long cid){
        return lambdaQuery().eq(ConferencePartner::getConferenceId, cid)
                .eq(ConferencePartner::getStatus, 1)
                .orderByAsc(ConferencePartner::getSortNo)
                .list();
    }
}
