package com.smcic.api.conference.service.impl;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.lang.UUID;
import com.smcic.api.conference.entity.Conference;
import com.smcic.api.conference.mapper.ConferenceMapper;
import com.smcic.api.conference.service.IConferenceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.smcic.api.operate.service.OSSService;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2024-03-27
 */
@Service
public class ConferenceServiceImpl extends ServiceImpl<ConferenceMapper, Conference> implements IConferenceService {

    @Resource
    private OSSService ossService;

    public String upload(MultipartFile file, Long cid){
        String path = "operate/cenference/" + cid + "/" + (new DateTime().toString("yyyyMMdd")) + "/"+ UUID.randomUUID() + file.getOriginalFilename();
        ossService.put("smcic-index", path, file);

        return  "https://cxzx.smcic.net/" + path;
    }

    public List<String> multiUpload(MultipartFile[] files, Long cid){
        List<String> urls = new ArrayList<>();
        for(MultipartFile file : files){
            urls.add(upload(file, cid));
        }
        return urls;
    }
}
