package com.smcic.api.epg.job;

import com.smcic.api.epg.service.impl.ChannelService;
import com.smcic.api.epg.service.impl.ProgramService;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class EpgRefreshJob {

    @Resource
    private ProgramService programService;

    @Resource
    private ChannelService channelService;

    @Scheduled(cron = "0 * * * * *")
    public void refresh() {
        channelService.tvList().forEach(channel -> programService.setCache(channel.getChannelId()));
    }
}
