package com.smcic.api.operate.service;

import cn.hutool.core.io.IoUtil;
import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.nio.charset.StandardCharsets;

@Service
public class OSSService {
    @Autowired
    private ObjectMapper objectMapper;

    private final OSS ossClient = new OSSClientBuilder().build("https://oss-cn-chengdu.aliyuncs.com",
            "LTAI4GEBqfF1GX4VwsYU2Wpg",
            "rVIv0E1lRfXOCrAmkFTZnfgWiuv4ea");

    @SneakyThrows
    public void put(String bucketName, String key, String data) {
        ossClient.putObject(bucketName, key, new ByteArrayInputStream(data.getBytes(StandardCharsets.UTF_8)));
    }

    @SneakyThrows
    public void put(String bucketName, String key, MultipartFile file) {
        ossClient.putObject(bucketName, key, new ByteArrayInputStream(IoUtil.readBytes(file.getInputStream())));
    }

    @SneakyThrows
    public JsonNode getSortJson() {
        InputStream objectContent = ossClient.getObject("dangjian-web", "miniProgrammeData/sort.json").getObjectContent();
        String json = IoUtil.readUtf8(objectContent);
        return objectMapper.readTree(json);
    }
}
