package com.smcic.core.auth;

import cn.hutool.core.util.IdUtil;
import com.smcic.api.operate.entity.UserAuth;
import org.springframework.web.context.request.RequestAttributes;
import org.springframework.web.context.request.RequestContextHolder;

import java.util.Optional;

public class HttpContextUtil {

    public static Optional<String> getToken() {
        return Optional.ofNullable(RequestContextHolder.getRequestAttributes())
                .map(x -> x.getAttribute("token", RequestAttributes.SCOPE_REQUEST))
                .map(Object::toString);
    }

    public static void setToken(String token) {
        Optional.ofNullable(RequestContextHolder.getRequestAttributes())
                .ifPresent(x -> x.setAttribute("token", token, RequestAttributes.SCOPE_REQUEST));
    }

    public static Optional<UserAuth> getUser() {
        return Optional.ofNullable(RequestContextHolder.getRequestAttributes())
                .map(x -> (UserAuth) x.getAttribute("user", RequestAttributes.SCOPE_REQUEST));
    }

    public static void setUser(UserAuth userAuth) {
        Optional.ofNullable(RequestContextHolder.getRequestAttributes())
                .ifPresent(x -> x.setAttribute("user", userAuth, RequestAttributes.SCOPE_REQUEST));
    }
}
