package com.smcic.core.auth;


import cn.hutool.core.util.StrUtil;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.smcic.api.operate.entity.UserAuth;
import com.smcic.core.advice.APIException;
import com.smcic.core.conf.Constant;
import org.springframework.web.method.HandlerMethod;
import org.springframework.web.servlet.AsyncHandlerInterceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.lang.reflect.Method;

public class LoginInterceptor implements AsyncHandlerInterceptor {

    private final ObjectMapper objectMapper = new ObjectMapper();
    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        if (!(handler instanceof HandlerMethod)) {
            return true;
        }

        HandlerMethod handlerMethod = (HandlerMethod) handler;
        Method method = handlerMethod.getMethod();

        LoginRequired methodAnnotation = method.getAnnotation(LoginRequired.class);
        if (methodAnnotation == null) {
            return true;
        }

        // 这写你拦截需要干的事儿，比如取缓存，SESSION，权限判断等
        String token = request.getHeader(Constant.TOKEN_HEADER_NAME);
        try {
            String ds = AESUtil.decryptStr(token);
            UserAuth userAuth = objectMapper.readValue(ds, UserAuth.class);
            HttpContextUtil.setUser(userAuth);
        } catch (Exception e) {
            throw new APIException("没有登录");
        }

        HttpContextUtil.setToken(token);

        return true;
    }
}
